import { deviceBase } from './device.js';
import { Subject } from 'rxjs';
import type { ResideoPlatform } from '../platform.js';
import type { PlatformAccessory } from 'homebridge';
import type { devicesConfig, location, resideoDevice } from '../settings.js';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class LeakSensor extends deviceBase {
    readonly platform: ResideoPlatform;
    private Battery;
    private LeakSensor?;
    private HumiditySensor?;
    private TemperatureSensor?;
    SensorUpdateInProgress: boolean;
    doSensorUpdate: Subject<void>;
    constructor(platform: ResideoPlatform, accessory: PlatformAccessory, location: location, device: resideoDevice & devicesConfig);
    /**
     * Parse the device status from the Resideo api
     */
    parseStatus(device: resideoDevice & devicesConfig): Promise<void>;
    /**
     * Asks the Resideo Home API for the latest device information
     */
    refreshStatus(): Promise<void>;
    /**
     * Updates the status for each of the HomeKit Characteristics
     */
    updateHomeKitCharacteristics(): Promise<void>;
    apiError(e: any): Promise<void>;
}
//# sourceMappingURL=leaksensors.d.ts.map