import { Subject } from 'rxjs';
import { deviceBase } from './device.js';
import type { ResideoPlatform } from '../platform.js';
import type { CharacteristicValue, PlatformAccessory } from 'homebridge';
import type { devicesConfig, location, resideoDevice } from '../settings.js';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class Valve extends deviceBase {
    readonly platform: ResideoPlatform;
    private Valve;
    valveType: number;
    valveUpdateInProgress: boolean;
    doValveUpdate: Subject<void>;
    constructor(platform: ResideoPlatform, accessory: PlatformAccessory, location: location, device: resideoDevice & devicesConfig);
    /**
     * Parse the device status from the Resideo api
     */
    parseStatus(device: resideoDevice & devicesConfig): Promise<void>;
    /**
     * Asks the Resideo Home API for the latest device information
     */
    refreshStatus(): Promise<void>;
    /**
     * Pushes the requested changes to the August API
     */
    pushChanges(): Promise<void>;
    /**
     * Updates the status for each of the HomeKit Characteristics
     */
    updateHomeKitCharacteristics(): Promise<void>;
    /**
     * Handle requests to set the "Active" characteristic
     */
    setActive(value: CharacteristicValue): void;
    getValveConfigSettings(accessory: PlatformAccessory, device: resideoDevice & devicesConfig): Promise<void>;
    apiError(e: any): Promise<void>;
}
//# sourceMappingURL=valve.d.ts.map